# 63. म्यूटेशन: Organization सहेजें

"Organization" जोड़ने या संपादित करने के लिए म्यूटेशन। जो "User" saveOrganization अनुरोध भेजेगा वह "Organization" का मालिक होगा।

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Organization name"
      surname: "Owner surname"
      givenName: "Owner given name"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    name
    उपनाम
    प्रथमनाम
    email
    फोन
    निर्माण_तिथि
    updatedDate
  }
}
```

{% endcode %}

मौजूदा "Organization" को संपादित करने के लिए, अनुरोध में uuid एट्रिब्यूट जोड़ें।

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "New organization name"
      surname: "Owner surname"
      givenName: "Owner given name"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    name
    उपनाम
    प्रथमनाम
    email
    फोन
    निर्माण_तिथि
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/63.-organization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
